Bug 196731 - section mismatch for various modules compiling custom kernel-2.6.17-1.2139_FC5
section mismatch for various modules compiling custom kernel-2.6.17-1.2139_FC5
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 15:15 EDT by Juergen Wieczorek
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 20:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Wieczorek 2006-06-26 15:15:08 EDT
System: Fedora Core 5(i686) - kernel2.6.17-1.2139_FC5
gcc-4.1.1

While upgrading my system over the weekend to the above mentioned new kernel, I
compiled a custom kernel using config-2.6.17-1.2139_FC5 as a template with only
minor alterations to cpu architecture(athlon), ntfs, isdn, and switching of some
unnecessary graphic & sound modules.

I didn't have any problems compiling a custom kernel with the previous kernel
versions, but with this new 2.6.17 release I ran into various sction mismatch
warnings for several modules as stated below:


WARNING: drivers/atm/he.o - Section mismatch: reference to .init.text: from
.text after 'he_init_one' (at offset 0x2252)
WARNING: drivers/input/misc/wistron_btns.o - Section mismatch: reference to
.init.text: from .data between 'dmi_ids' (at offset 0x120) and '__param_str_force'
WARNING: drivers/input/misc/wistron_btns.o - Section mismatch: reference to
.init.text: from .data between 'dmi_ids' (at offset 0x14c) and '__param_str_force'
WARNING: drivers/input/misc/wistron_btns.o - Section mismatch: reference to
.init.text: from .data between 'dmi_ids' (at offset 0x178) and '__param_str_force'
WARNING: drivers/input/misc/wistron_btns.o - Section mismatch: reference to
.init.text: from .data between 'dmi_ids' (at offset 0x1a4) and '__param_str_force'
WARNING: drivers/input/misc/wistron_btns.o - Section mismatch: reference to
.init.text: from .data between 'dmi_ids' (at offset 0x1d0) and '__param_str_force'
WARNING: drivers/input/misc/wistron_btns.o - Section mismatch: reference to
.init.text: from .data between 'dmi_ids' (at offset 0x1fc) and '__param_str_force'
WARNING: drivers/net/ne.o - Section mismatch: reference to .init.text: from
.text between 'init_module' (at offset 0x102) and 'ne_block_input'
WARNING: drivers/net/ne.o - Section mismatch: reference to
.init.data:isapnp_clone_list from .text between 'init_module' (at offset 0x19f)
and 'ne_block_input'
WARNING: drivers/net/ne.o - Section mismatch: reference to .init.text: from
.text between 'init_module' (at offset 0x1b2) and 'ne_block_input'
WARNING: drivers/net/ne.o - Section mismatch: reference to
.init.data:isapnp_clone_list from .text between 'init_module' (at offset 0x1c9)
and 'ne_block_input'
WARNING: drivers/net/ne.o - Section mismatch: reference to
.init.data:isapnp_clone_list from .text between 'init_module' (at offset 0x1d2)
and 'ne_block_input'
WARNING: drivers/net/ne.o - Section mismatch: reference to
.init.data:isapnp_clone_list from .text between 'init_module' (at offset 0x1f7)
and 'ne_block_input'
WARNING: drivers/video/aty/atyfb.o - Section mismatch: reference to .init.data:
from .text between 'atyfb_pci_probe' (at offset 0x2a25) and 'aty_enable_irq'
WARNING: drivers/video/aty/atyfb.o - Section mismatch: reference to
.init.text:aty_init_cursor from .text between 'atyfb_pci_probe' (at offset
0x2ac0) and 'aty_enable_irq'
WARNING: drivers/video/macmodes.o - Section mismatch: reference to
.init.text:mac_find_mode from __ksymtab after '__ksymtab_mac_find_mode' (at
offset 0x18)
WARNING: fs/jffs2/jffs2.o - Section mismatch: reference to
.init.text:jffs2_zlib_init from .text between 'jffs2_compressors_init' (at
offset 0xe) and 'jffs2_free_comprbuf'
WARNING: sound/isa/sb/snd-sbawe.o - Section mismatch: reference to
.init.text:snd_emu8000_new from .text between 'snd_sb16_probe' (at offset 0x454)
and 'snd_sb16_nonpnp_probe1'
WARNING: sound/isa/snd-opl3sa2.o - Section mismatch: reference to .init.text:
from .text between 'snd_opl3sa2_pnp_cdetect' (at offset 0xb79) and
'snd_opl3sa2_pnp_remove'
WARNING: sound/isa/snd-opl3sa2.o - Section mismatch: reference to .init.text:
from .text between 'snd_opl3sa2_pnp_detect' (at offset 0xc61) and
'snd_opl3sa2_put_single'
Comment 1 Dave Jones 2006-09-10 20:42:38 EDT
These are mostly harmless, but do need fixing. There's upstream effort to do so,
but its slow moving.  For problems with self-compiled kernels, reporting such
problems upstream instead of here is likely to get them fixed quicker.


Note You need to log in before you can comment on or make changes to this bug.